/*Hero section*/
.about-hero-main {
    padding-bottom: 315.5px;
    padding-top: 264px;
    background:
        url("/wp-content/uploads/2025/12/337903-l-1.png") center / cover no-repeat,
        radial-gradient(50% 60.32% at 50% 50%, #1D2C3F 0%, #1C1F2A 100%);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.about-hero-container {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 108px;
    max-width: 952px;
}

.about-hero-content-top p {
    padding-top: 18.5px;
    font-family: var(--global-font-family-3);
    font-weight: 100;
    font-size: 45px;
    line-height: 111%;
    letter-spacing: -0.02em;
    color: var(--global-color-2);
}

.about-hero-content-top span {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 4px;
}

.about-hero-content-bottom{
    display: flex;
    flex-direction: row;
    gap: 48px;
    position: relative;
}

.about-hero-content-bottom a {
    width: auto;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    gap: 38px;
    height: 61px;
    padding-left: 50.5px;
    padding-right: 50.5px;
    background: linear-gradient(94.57deg, rgba(6, 18, 30, 0.41) 9.23%, rgba(1, 2, 4, 0.0529426) 33.7%, rgba(0, 0, 0, 0) 58.59%, rgba(6, 18, 30, 0.41) 81.21%), rgba(221, 209, 197, 0.08);
    border: 1px solid #DDD1C5;
    border-radius: 54px;
    box-shadow: 7px 8px 8.3px #06121E;
    backdrop-filter: blur(0.5px);
    color: var(--global-color-2);
    font-family: var(--global-font-family-2);
    font-size: 18px;
    letter-spacing: 5.86px;
    text-decoration: none;
    position: relative;
}

.about-hero-content-bottom a::after {
    content: '';
    display: block;
    width: 22px;
    height: 22px;
    background-image: url('/wp-content/uploads/2025/12/fi_arrow-down-left.svg');
    background-size: contain;
    background-repeat: no-repeat;
}

.about-hero-content-bottom p {
    font-family: var(--global-font-family-4);
    font-size: 21px;
    line-height: 129%;
    letter-spacing: 1.26px;
    color: var(--global-color-2);
}

.about-hero-bottom-img {
    position: absolute;
    bottom: -235px;
    right: -145px;
}

.about-hero-content-top p,
.about-hero-content-bottom a,
.about-hero-content-bottom p {
    opacity: 0;
    transform: translateY(-50px);
    animation-fill-mode: forwards;
}

.about-hero-content-top p {
    animation: slideDown 1s ease-out 0.3s forwards;
}

.about-hero-content-bottom a {
    animation: slideDown 1s ease-out 0.5s forwards;
}

.about-hero-content-bottom p {
    animation: slideDown 1s ease-out 0.5s forwards;
}

@keyframes slideDown {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 1024px) {
  .about-hero-main {
    padding-top: 120px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 120px;
    background-size: 100%;
  }

  .about-hero-container {
    gap: 40px;
    padding: 0 20px;
  }

  .about-hero-content-bottom {
    flex-direction: column;
    gap: 20px;
    position: static;
  }

  .about-hero-content-top p {
    font-size: 28px;
    text-align: center;
  }

  .about-hero-content-bottom p {
    font-size: 16px;
    line-height: 140%;
    order: 1;
    text-align: center;
  }

  .about-hero-bottom-img { 
    display: none;
  }

  .about-hero-content-bottom a {
    order: 3;
    width: 100%;
    justify-content: center;
    font-size: 14px;
    letter-spacing: 2px;
    padding: 12px 16px;
    gap: 20px;
  }
}

/*Goals*/
.about-goals-main {
    background: #EEE9DF;
    padding-top: 42px;
    padding-bottom: 42px;
}

.about-goals-container {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.about-goals-bottom-container {
    display: flex;
    flex-direction: row;
    
}

.about-goals-top-title {
    font-family: var(--global-font-family-3);
    font-weight: 100;
    font-size: 96px;
    line-height: 140%;
    color: #1D2C3F52;
    letter-spacing: -1.5px;
}

.about-goals-bottom-box {
    flex: 1;
    height: 360px;
    border-right: 1px solid #1B2632;
    padding-top: 30px;
    padding-left: 15px;
    padding-right: 15px;
}

.about-goals-bottom-box:last-child {
    border-right: none;
}

.about-goals-bottom-box span {
    font-family: var(--global-font-family-3);
    font-weight: 100;
    font-size: 96px;
    line-height: 140%;
    color: #1D2C3F52;
    letter-spacing: -1.5px;
}

.about-goals-bottom-box p {
    font-family: var(--global-font-family-4);
    font-size: 23px;
    line-height: 140%;
    line-height: -0.5px;
    color: var(--global-color-3);
    font-weight: 300;
}

@media (max-width: 1024px) {

    .about-goals-container {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
    .about-goals-bottom-container {
        flex-direction: column;
    }

    .about-goals-bottom-box {
        width: 100%;
        height: auto;
        border-right: none;
        padding-bottom: 30px;
        border-bottom: 1px solid #1B2632;
    }
    
    .about-goals-top-title {
        font-size: 64px;
        line-height: 120%;
    }

    .about-goals-bottom-box span {
        font-size: 64px;
        line-height: 120%;
    }
    .about-goals-bottom-box:last-child {
        border-bottom: 1px solid #1B2632;;
    }

    .about-goals-bottom-box p {
        padding-top: 20px;
        font-size: 18px;
    }
}


/*History*/
.about-history-main {
    background: linear-gradient( 90deg, #06121E 0%, #1C1F2A 11% );
    padding-top: 87px;
    padding-bottom: 9px;
}

.about-history-container {
    margin: 0 auto;
}

.about-history-container-top {
    max-width: 858px;
    margin: 0 auto;
}

.about-history-container-top p {
    text-align: center;
    font-family: var(--global-font-family-3);
    color: #DDD1C5B8;
    font-size: 40px;
    line-height: 52px;
    letter-spacing: 0.8px;
    font-weight: 100;
}

.about-history-container-bottom {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.about-history-container-title {
    font-family: var(--global-font-family-3);
    color: #DDD1C561;
    font-size: 96px;
    line-height: 140%;
    letter-spacing: -1.8px;
    font-weight: 100;
}

@media (max-width: 1024px) {
  .about-history-container-top p {
    font-size: 24px;
    line-height: 34px;
  }

  .about-history-container-title {
    padding-top: 43.5px;
    font-size: 64px;
    line-height: 120%;
  }
}

/*Strategy*/
.about-strategy-main {
    background: #EEE9DF;
    padding-top: 66px;
    padding-bottom: 9px;
}

.about-strategy-container {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 43.5px;
}

.about-strategy-row {
    display: flex;
}

.about-strategy-row-content {
    height: 333px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 15px;
    border-right: 1px solid #1B2632;
}

.about-strategy-row-content:last-child {
    border-right: none;
}

.about-strategy-icon {
    height: 101px; 
    display: flex;
    align-items: flex-end; 
    overflow: visible; 
    margin-bottom: 30px; 
}

.about-strategy-row-content h3 {
    text-align: center;
    font-family: var(--global-font-family-6);
    color: var(--global-color-3);
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.25px;
}

.about-strategy-row-content p {
    text-align: center;
    font-family: var(--global-font-family-4);
    color: var(--global-color-3);
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 1px;
}

.about-strategy-row-bottom {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.about-strategy-bottom-title {
    font-family: var(--global-font-family-3);
    color: #1D2C3F52;
    font-size: 96px;
    line-height: 140%;
    letter-spacing: -1.8px;
    font-weight: 100;
}

@media (max-width: 1024px) {
 
 .about-strategy-container {
    padding-right: 20px !important;
    padding-left: 20px !important;
 }
  .about-strategy-row {
    flex-direction: column;
  }

  .about-strategy-row-content {
    width: 100%;
    height: auto;
    border-right: none;
    border-bottom: 1px solid #1B2632;
    padding: 20px 20px;
  }

  .about-strategy-row-content:last-child {
    border-bottom: none;
  }

  .about-strategy-bottom-title {
    font-size: 64px;
    line-height: 120%;
  }
}

.about-ambasadors-main {
    background: linear-gradient(90deg, #06121E 0%, #1C1F2A 11%);
    padding-top: 87px;
    padding-bottom: 87px;
    display: flex;
    justify-content: center;
}

.about-ambasadors-content-top {
    display: flex;
    flex-direction: row; 
    align-items: center;
    gap: 60px;
}

.ambassador-image img {
    max-width: 450px;
    height: auto;
    margin-top:-28px;
}

@media (max-width:1169px) and (min-width:1024px) {
    .ambassador-image img {
        margin-top: -50px; 
    }
}



.ambassador-text {
    flex: 1;
    text-align: left; /* tekst levo poravnat */
}

.ambassador-text h3 {
    font-family: var(--global-font-family-3);
    color: #DDD1C5B8;
    font-size: 40px;
    line-height: 52px;
    letter-spacing: 0.8px;
    font-weight: 100;
    margin-bottom: 20px;
}

.ambassador-text p {
    font-family: var(--global-font-family-3);
    color: #DDD1C5B8;
    font-size: 18px;
    line-height: 26px;
    letter-spacing: 0.8px;
    font-weight: 100;
    width: 100%;
}

.about-ambasadors-content-bottom h2 {
    font-family: var(--global-font-family-3);
    font-weight: 100;
    font-size: 96px;
    line-height: 140%;
    letter-spacing: -1.5px;
    text-align: right;
    color: #DDD1C561;
    margin-bottom: 20px;
}

@media(max-width:1024px) {
    .about-ambasadors-content-bottom h2 {
        font-size: 64px;
        line-height: 120%;
    }

    .ambassador-text h3 {
        font-size: 32px;
    }

    .ambassador-text p {
        font-size: 16px;
        line-height: 24px;
    }
    
    .ambassador-image img {
        max-width:100%;
        margin-top:10px;
    }

    .about-ambasadors-content-top {
        flex-direction: column; /* na mobilnom opet vertikalno */
        align-items: center;
    }

    .ambassador-text {
        text-align: center; /* možeš vratiti centrirano na mobilnom */
    }

    .about-ambasadors-main {
        padding-top: 40px;
        padding-bottom: 40px;
    }
}
